"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _parse = require("css/lib/parse");

var _parse2 = _interopRequireDefault(_parse);

var _cssToReactNative = require("css-to-react-native");

var _cssToReactNative2 = _interopRequireDefault(_cssToReactNative);

var _boxShadow = require("./transforms/boxShadow");

var _rem = require("./transforms/rem");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var transform = function transform(css) {
  var _parseCSS = (0, _parse2.default)(css),
      stylesheet = _parseCSS.stylesheet;

  var result = {};

  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    for (var _iterator = stylesheet.rules[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      var rule = _step.value;
      var _iteratorNormalCompletion2 = true;
      var _didIteratorError2 = false;
      var _iteratorError2 = undefined;

      try {
        for (var _iterator2 = rule.selectors[Symbol.iterator](), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true) {
          var selector = _step2.value;

          selector = selector.replace(/\.|#/g, "");

          var styles = void 0;

          styles = result[selector] = result[selector] || {};

          var _iteratorNormalCompletion3 = true;
          var _didIteratorError3 = false;
          var _iteratorError3 = undefined;

          try {
            for (var _iterator3 = rule.declarations[Symbol.iterator](), _step3; !(_iteratorNormalCompletion3 = (_step3 = _iterator3.next()).done); _iteratorNormalCompletion3 = true) {
              var declaration = _step3.value;

              if (declaration.type !== "declaration") continue;

              var property = declaration.property;
              var value = (0, _rem.remToPx)(declaration.value);

              // box-shadow is implemented in css-to-react-native,
              // but not released yet. Remove after it is supported.
              if (property === "box-shadow") {
                Object.assign(styles, (0, _boxShadow.boxShadowToShadowProps)(value));
              } else {
                Object.assign(styles, (0, _cssToReactNative2.default)([[property, value]]));
              }
            }
          } catch (err) {
            _didIteratorError3 = true;
            _iteratorError3 = err;
          } finally {
            try {
              if (!_iteratorNormalCompletion3 && _iterator3.return) {
                _iterator3.return();
              }
            } finally {
              if (_didIteratorError3) {
                throw _iteratorError3;
              }
            }
          }
        }
      } catch (err) {
        _didIteratorError2 = true;
        _iteratorError2 = err;
      } finally {
        try {
          if (!_iteratorNormalCompletion2 && _iterator2.return) {
            _iterator2.return();
          }
        } finally {
          if (_didIteratorError2) {
            throw _iteratorError2;
          }
        }
      }
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }

  return result;
};

exports.default = transform;