"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var boxShadowToShadowProps = exports.boxShadowToShadowProps = function boxShadowToShadowProps(value) {
  var pxs = value.match(/(\d*\.?\d+)px/g);
  var nums = pxs ? pxs.map(function (val) {
    return val.replace("px", "");
  }).map(function (val) {
    return Number(val);
  }) : [];
  var offsetX = nums[0];
  var offsetY = nums[1];
  var blurRadius = nums[2];
  var filtered = pxs ? value.split(" ").filter(function (val) {
    return pxs.indexOf(val) === -1;
  }) : [];
  var color = filtered[0];

  if (offsetX === undefined || offsetY === undefined) {
    throw new Error("Failed to parse declaration \"boxShadow: " + value + "\"");
  }
  return {
    shadowOffset: { width: offsetX, height: offsetY },
    shadowRadius: blurRadius !== undefined ? blurRadius : 0,
    shadowColor: color !== undefined ? color : "black"
  };
};